PDA

Afficher la version complète : [Réglé] [Résolu] Problème installation des drivers nvidia



zaram
24/02/2009, 10h20
Bonjour à toutes et à tous. Débutant étant resté pas mal de temps sur Intrepid (depuis sa sortie) j'ai décidé depuis peu de migrer vers opensuse (et sans regret!!!!). Sur mon PC de bureau pas de problèmes tout fonctionne au poil avec KDE 4.2. Voulant l'installer sur mon PC portable je me lance et installe opensuse puis KDE 4.2 avant de vouloir installer les drivers nvidia. Et c'est là où ca coince, j'ai bien suivi les différentes indications du forum et même du site nvidia mais rien y fait j'obtiens invariablement ce message d'erreur:

<div align="center">rien ne fournit kernel(xen : kernel) = 82c07590 bad43cd0 , ce qui est requis par nvidia-gfxG02-kmp-xen-180.29_2.6.27.18_0.3-0.1.i586</div>

Et ceci avec tous les dépots nvidia. Comme je l'ai mis dans le titre je dispose d'une 8600M GS et d'opensuse 11.1. Pour toutes autres précisions je suis pas loin ;) .


Merci d'avance à celles et ceux qui s'y interesseront.

bibi
24/02/2009, 10h43
Salut,

Tu essaies d'installer le driver pour un noyau équipé pour "xen"(logiciel de virtualisation) -> nvidia-gfxG02-kmp-xen-180.29_2.6.27.18_0.3-0.1.i586
Il faut que que tu installes le driver par défaut :nvidia-gfxG02-kmp-default-180.29_2.6.27.18_0.3-0.1.i586.

Si lorsque tu installes le driver default tu as un problème de dépendance, c'est peut-être que tu as installé le kernel "xen" et pas celui par "default".

Dans tous les cas va voir dans le Wiki c'est très bien expliqué : http://www.kameleon-facile.org/wiki/carte:nvidia?s[]=nvidia

Bibi

zaram
24/02/2009, 10h45
Merci pour l'info je vais voir ça et je te tiens au courant

zaram
24/02/2009, 14h31
J'ai pour le moment testé avec toutes les déclinaisons de kernel et toujours le même message d'erreur... :( . Je vais maintenant essayer d'installer manuellement le fichier ".run" fournit sur le site nvidia en suivant le wiki

xiloa
24/02/2009, 14h56
salut

quelle est la version de kernel de ta machine ?

zaram
24/02/2009, 15h04
Salut à toi.


La version de kernel est "2.6.27.7-9-pae" dixit konsole

genome
24/02/2009, 15h46
Salut, et bienvenue sur Alionet :)

La version du module noyau nvidia (2.6.27.18) est plus récente que celle du noyau de suse (2.6.27.7). À mon avis, ça veut dire qu'une mise à jour du noyau devrait bientôt sortir.

Attends donc un peu, ça devrait se résoudre d'ici quelques heures ;)

zaram
24/02/2009, 15h46
Problème résolu! Sur les conseils de bibi j'ai installé ça en suivant le tutorial du wiki et ca marche au poil! Petite précision: j'ai utilisé les drivers linux de chez nvidia.fr qui sont pourtant les mêmes que sous YAST :blink: .

Enfin bref. Merci à vous et à bientôt sur ce forum, je crois que je viens d'adopter définitivement suse!

albordageasse
25/02/2009, 04h27
Salut


Je suis curieux de savoir comment t'as fait. Je galère depuis quelques heures (je commence à en avoir un peu ma claque là), pour installer le pilote de ma 8400M G, rien n'y fait je rencontre exactement le même problème de : "rien ne fournit kernel (xen : kernel) etc...

je suis pourtant avec le kernel "default" (le 2 6 27 7 9).

pénible...